Grant-level workflows
Grant-level workflows automatically send messages to certain users when a defined event is triggered. For example, if you want to send a confirmation message when a user schedules a booking, you can create a workflow that listens for booking.created events.
Each workflow is linked to the grant specified in the Create Workflow request.
💡 If you want to create workflows for a Nylas application, use the application-level workflows endpoints.
GET
Return all workflows
GET /v3/grants/{grant_id}/workflowsReturns all grant-level workflows for the specified grant.
POST
Create a workflow
POST /v3/grants/{grant_id}/workflowsCreates a grant-level workflow. ℹ️ You must have an existing template to create a workflow .
GET
Get a workflow
GET /v3/grants/{grant_id}/workflows/{workflow_id}Returns the specified grant-level workflow.
PUT
Update a workflow
PUT /v3/grants/{grant_id}/workflows/{workflow_id}Updates the specified grant-level workflow.
DELETE
Delete a workflow
DELETE /v3/grants/{grant_id}/workflows/{workflow_id}Deletes the specified grant-level workflow.